<?php
	if (isset($_POST['k1'])) {
		
		require_once('../../wiras_php/wa_baza/wa_polacz.php');
		$id = $_POST['k1'];
		$tytul = $_POST['k2'];
		
		$zap = "DELETE FROM animacja WHERE id_user=$id AND tytul='$tytul'";
		$wykonaj = mysqli_query($db, $zap);

		$zap = "SELECT * FROM animacja WHERE id_user=$id ORDER BY data ASC";
		$wynik_pobierz = mysqli_query($db, $zap);
		$la = $wynik_pobierz->num_rows;
		$wynik = array();
		while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
		{
			$wynik[] = $wiersz;
		}
		
		$t1 = '<span style="font-size: 1.1em; color: #E92;">Otwórz zapisaną animację</span><br />';
		if ($la>0) {
			$t1=$t1.'Twoje zapisane animacje';	
			$t1=$t1.'<select  id="anim_sotworz" class="anim_selectp" style="width: 250px; margin: 2px 0 5px 5px;">';
			for ($i=0; $i<$la; $i++) {
				$t1=$t1.'<option value="'.$wynik[$i][13].'">'.$wynik[$i][13].'</option>';
			}
				$t1=$t1.'</select>';
				$t1=$t1.'<input type="button" id="anim_button" class="anim_otworz" value="Otwórz" style="width: 100px">';
		} else {
			$t1=$t1.'<br />Brak zapisanych animacji<br />';
		}
		
		$t2='<span style="font-size: 1.1em; color: #E92;">Usuń wybraną animację</span><br />';
		if ($la>0) {
			$t2=$t2.'Wybierz animację do usunięcia';	
			$t2=$t2.'<select  id="anim_uotworz" class="anim_selectp" style="width: 250px; margin: 2px 0 5px 5px;">';
			for ($i=0; $i<$la; $i++) {
				$t2=$t2.'<option value="'.$wynik[$i][13].'">'.$wynik[$i][13].'</option>';
			}
				$t2=$t2.'</select>';	
				$t2=$t2.'<input type="button" id="anim_button" class="anim_usun" value="Usuń" style="width: 100px">';
		} else {
			$t2=$t2.'<br />Brak zapisanych animacji<br />';
		}
		
		$tab[0] = $t1;
		$tab[1] = $t2;
		
		echo json_encode($tab);
		
		unset($_POST['k1']);
		unset($_POST['k2']);
	} else exit;
?>